{
  "id": "WH-2V201491592344547-65B94083P08646144",
  "event_version": "1.0",
  "create_time": "2024-08-14T09:19:29.387Z",
  "resource_type": "checkout-order",
  "resource_version": "2.0",
  "event_type": "CHECKOUT.ORDER.APPROVED",
  "summary": "An order has been approved by buyer",
  "resource": {
    "create_time": "2024-08-14T09:14:31Z",
    "purchase_units": [
      {
        "reference_id": "default",
        "amount": {
          "currency_code": "USD",
          "value": "992.00"
        },
        "payee": {
          "email_address": "pays@chinahighlights.com",
          "merchant_id": "JE4VX9SSVGTVN"
        },
        "description": "Booking Train Tickets",
        "custom_id": "2408145045_B--2820",
        "invoice_id": "2408145045_B--2820"
      }
    ],
    "links": [
      {
        "href": "https://api.paypal.com/v2/checkout/orders/5XE14628CJ283363K",
        "rel": "self",
        "method": "GET"
      },
      {
        "href": "https://api.paypal.com/v2/checkout/orders/5XE14628CJ283363K",
        "rel": "update",
        "method": "PATCH"
      },
      {
        "href": "https://api.paypal.com/v2/checkout/orders/5XE14628CJ283363K/capture",
        "rel": "capture",
        "method": "POST"
      }
    ],
    "id": "5XE14628CJ283363K",
    "payment_source": {
      "paypal": {
        "email_address": "a_p@autograf.pl",
        "account_id": "Y4R2H4CBS2TZJ",
        "account_status": "UNVERIFIED",
        "name": {
          "given_name": "Piotr",
          "surname": "Pacy¨˝ski"
        },
        "address": {
          "country_code": "PL"
        }
      }
    },
    "intent": "CAPTURE",
    "payer": {
      "name": {
        "given_name": "Piotr",
        "surname": "Pacy¨˝ski"
      },
      "email_address": "a_p@autograf.pl",
      "payer_id": "Y4R2H4CBS2TZJ",
      "address": {
        "country_code": "PL"
      }
    },
    "status": "APPROVED"
  },
  "links": [
    {
      "href": "https://api.paypal.com/v1/notifications/webhooks-events/WH-2V201491592344547-65B94083P08646144",
      "rel": "self",
      "method": "GET"
    },
    {
      "href": "https://api.paypal.com/v1/notifications/webhooks-events/WH-2V201491592344547-65B94083P08646144/resend",
      "rel": "resend",
      "method": "POST"
    }
  ]
}